module.exports = function(grunt){
	grunt.initConfig({
		pkg: grunt.file.readJSON('package.json'),			 
		transport: {
			
			js: {
				options:{
					idleading:"./<%= pkg.buid_out_dir %>/"	
				},
				
				files: [{
					cwd: 'js',
					src: '**/*',
					dest: '<%= pkg.cmd_build_dir %>'
				}]
			}
		},
		
		concat: {
			js: {

			  files: {
				'<%= pkg.cmd_build_dir %>/base.js': ['<%= pkg.cmd_build_dir %>/base.js'],
				
				'<%= pkg.cmd_build_dir %>/common.js': [
							'<%= pkg.cmd_build_dir %>/common.js', 
							'<%= pkg.cmd_build_dir %>/plug-a.js', 
							'<%= pkg.cmd_build_dir %>/plug-b.js'
				]
				
			  }
			}
		},
		
		uglify:{
			  
			build: {
				files:[
					{
						src:'<%= pkg.cmd_build_dir %>/base.js',
						dest: '<%=pkg.buid_out_dir %>/base.js'
					},
					{
						src:'<%= pkg.cmd_build_dir %>/common.js',
						dest: '<%=pkg.buid_out_dir %>/common.js'
					}
				
				]
			}
		
		},
		
		clean:{
		    build: ['<%= pkg.cmd_build_dir %>'],
		    temp: [
                '<%= pkg.cmd_build_dir %>',
                '<%= pkg.buid_out_dir %>/plug-a.js',
                '<%= pkg.buid_out_dir %>/plug-b.js'
		    ]
		}

					 
	});
	
     grunt.registerTask("default", [
		"clean:build", 
		"transport", 
		"concat", 
		"uglify", 
		"clean:temp"
	]);

}


/*				files: [
						{
					'<%= pkg.cmd_build_dir %>/base.js': ['<%=pkg.buid_out_dir %>/base.js']
						},
						{
					'<%=pkg.cmd_build_dir %>/common.js':['<%=pkg.buid_out_dir %>/common.js']
				}]*/